<?php get_header(); ?>
<!-- Mainbar -->
<div class="mainbar">
    <div class="span-16">
        <div class="content">
    <?php if (have_posts()) : ?>
    
		<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
		<?php /* If this is a category archive */ if (is_category()) { ?>				
		<h2 class="search_results">Рубрика: <?php echo single_cat_title(); ?>' Category</h2>
		
		<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="search_results">Архив за <?php the_time('F jS, Y'); ?></h2>
		
		<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="search_results">Архив за <?php the_time('F, Y'); ?></h2>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="search_results">Архив за <?php the_time('Y'); ?></h2>
		
		<?php /* If this is a search */ } elseif (is_search()) { ?>
		<h2 class="search_results">Результаты поиска</h2>
		
		<?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="search_results">Архив автора</h2>

		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="search_results">Архив сайта</h2>

		<?php } ?>
               
         <?php while (have_posts()) : the_post(); ?>
         <div class="post <?php if(is_home() && $post==$posts[0] && !is_paged()) echo ' firstpost';?>">
                <h2 class="post_header" id="post-<?php the_ID(); ?>"><span><?php the_time('d M')?></span><a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка: <?php the_title(); ?>"><?php the_title(); ?></a></h2>
                <div class="clear"></div>
                <div class="post_meta">Автор: <?php the_author() ?>. Рубрика: <?php the_category(',') ?></div><div class="post_meta"><?php comments_popup_link('Ваш отзыв', 'Отзывов (1)', 'Отзывов (%)'); ?></div><div class="post_meta"><?php edit_post_link('Править',''); ?></div>
                <div class="clear"></div>
                <div class="post_content">

                <?php the_content('Читать полностью...'); ?> 
                <!--
                <?php trackback_rdf(); ?>
                -->
                 </div>
                <?php the_tags( '<div class="tags">Метки: ', ', ', '</div> '); ?><div class="clear"></div>
            </div>
                
        <?php endwhile; ?>
		<div class="navigation">
            <h5 class="float-left">
                <?php previous_posts_link('&larr; Предыдущая страница') ?>
            </h5>
            <h5 class="float-right">
                <?php next_posts_link('Следующая страница &rarr;') ?>
            </h5>
            <div class="clear"></div>
        </div>
		<?php else :
		
				if ( is_category() ) { // If this is a category archive
					printf("<h1>Не найдено</h1><p>К сожалению, в рубрике &laquo;%s&raquo; еще ничего не опубликовано.</p>", single_cat_title('',false));
				} else if ( is_date() ) { // If this is a date archive
					echo("<h1>Не найдено</h1><p>К сожалению, за эту дату ничего не опубликовано.</p>");
				} else if ( is_author() ) { // If this is a category archive
					$userdata = get_userdatabylogin(get_query_var('author_name'));
					printf("<h1>Не найдено</h1><p>К сожалению, автор %s еще ничего не опубликовал.</p>", $userdata->display_name);
				} else {
					echo("<h1>Не найдено</h1><p>К сожалению, ничего не найдено.</p>");
				}
				
		
			endif;
		?>
        </div>
    </div>
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>